
/****************************************************************************
**		DISCLAIMER
**
**	Novell, Inc. makes no representations or warranties with respect to
**	any NetWare software, and specifically disclaims any express or
**	implied warranties of merchantability, title, or fitness for a
**	particular purpose.
**
**	Distribution of any NetWare software is forbidden without the
**	express written consent of Novell, Inc.  Further, Novell reserves
**	the right to discontinue distribution of any NetWare software.
**
**	Novell is not responsible for lost profits or revenue, loss of use
**	of the software, loss of data, costs of re-creating lost data, the
**	cost of any substitute equipment or program, or claims by any party
**	other than you.  Novell strongly recommends a backup be made before
**	any software is installed.   Technical support for this software
**	may be provided at the discretion of Novell.
****************************************************************************
#include <stdio.h>
#include <string.h>

#include <nwcalls.h>
#include <nwpsrv.h>
#include <nwnet.h>
#include <nwlocale.h>

#define MAX_NAME_LEN 100

int main (void)
{
	NWCCODE	      	ccode;
	NWCONN_HANDLE 	cHandle;
	DWORD		sequence;

	char		serverName[MAX_NAME_LEN];
	char 		formName[MAX_NAME_LEN];
	int	      	flag = 0;

	ccode = NWCallsInit (NULL, NULL);

	printf ("Server Name:  ");
	gets (serverName);
	strupr (serverName);

	ccode = NWGetConnectionIDFromName (strlen (serverName),
		serverName,
		&cHandle);

	if (ccode)
	{
		printf ("NWGetConnectionIDFromName returned %X\n", ccode);
		return 1;
	}

	sequence = -1;

	while ((ccode = NWPSPdfScanForm (NWPS_BINDERY_SERVICE,
		cHandle,
		&sequence,
		formName)) == 0)
	{
		printf ("Form found:  %s\n", formName);
		flag = 1;
	}

	if (flag == 0)
	{
		printf ("No forms found\n");
		printf ("NWPSPdfScanForm returned %X\n", ccode);
	}

	return 0;
}